/* This file contains the table used to map system call numbers onto the
 * routines that perform them.
 */

#include "fs.h"
#include "file.h"
#include "fproc.h"
#include "inode.h"
#include "super.h"

int (*call_vector[FS_CALLS])(void)  = {
	no_sys,         /*  0 = unused  */
	do_open,        /*  1 = open    */
	do_lseek,       /*  2 = seek    */
	do_read,        /*  3 = read    */
	do_close,       /*  4 = close   */
	do_chdir,       /*  5 = chdir   */
	do_stat,	/*  6 = stat	*/
	do_fstat,	/*  7 = fstat	*/
	do_sum,		/*  8 = dsum	*/
	do_readentry	/*  9 = readentry */
};

